Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_COSP.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_COSP.F90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_COSP.F90	(revision 5151)
@@ -0,0 +1,1 @@
+link ../phylmd/ini_COSP.F90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_COSP.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_COSP.h	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_COSP.h	(revision 5151)
@@ -0,0 +1,1 @@
+link ../phylmd/ini_COSP.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_calcul_divers.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_calcul_divers.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_calcul_divers.f90	(revision 5151)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_calcul_divers.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5146)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5151)
@@ -110,6 +110,7 @@
     USE phytrac_mod, ONLY: phytrac_init, phytrac
     USE phys_output_write_mod
-
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST, CPPKEY_STRATAER
+    USE lmdz_calcul_divers, ONLY: calcul_divers
+
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST, CPPKEY_STRATAER, CPPKEY_COSP, CPPKEY_COSP2, CPPKEY_COSPV2
 
 !!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
@@ -1274,10 +1275,6 @@
     !============================================================
     ! AI 10-22
-#ifdef CPP_COSP
-    include "ini_COSP.h"
-#endif
-#ifdef CPP_COSPV2
-    include "ini_COSP.h"
-#endif
+    INCLUDE "ini_COSP.h"
+
     REAL :: mr_ozone(klon,klev), phicosp(klon,klev)
 
@@ -1922,5 +1919,5 @@
 
       IF (ok_cosp) THEN
-#ifdef CPP_COSP
+IF (CPPKEY_COSP) THEN
         ! A.I : Initialisations pour le 1er passage a Cosp
         CALL ini_COSP(ref_liq_cosp0,ref_ice_cosp0,pctsrf_cosp0,zu10m_cosp0,zv10m_cosp0, &
@@ -1941,7 +1938,7 @@
                pmflxr_cosp0(:,1:klev),pmflxs_cosp0(:,1:klev), &
                mr_ozone_cosp0,cldtau_cosp0, cldemi_cosp0)
-#endif
-
-#ifdef CPP_COSP2
+END IF
+
+IF (CPPKEY_COSP2) THEN
         CALL ini_COSP(ref_liq_cosp0,ref_ice_cosp0,pctsrf_cosp0,zu10m_cosp0,zv10m_cosp0, &
                zxtsol_cosp0,zx_rh_cosp0,cldfra_cosp0,rnebcon_cosp0,flwc_cosp0, &
@@ -1961,7 +1958,7 @@
                pmflxr(:,1:klev),pmflxs(:,1:klev), &
                mr_ozone,cldtau, cldemi)
-#endif
-
-#ifdef CPP_COSPV2
+END IF
+
+IF (CPPKEY_COSPV2) THEN
           CALL lmdz_cosp_interface(itap,phys_tstep,freq_cosp, &
                ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP, &
@@ -1976,5 +1973,5 @@
                pmflxr(:,1:klev),pmflxs(:,1:klev), &
                mr_ozone,cldtau, cldemi)
-#endif
+END IF
       ENDIF
 
@@ -6645,8 +6642,8 @@
     IF (ok_cosp) THEN
        ! adeclarer 
-#ifdef CPP_COSP
-       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
-
-          IF (prt_level .GE.10) THEN
+IF (CPPKEY_COSP) THEN
+       IF (itap==1.OR.MOD(itap,NINT(freq_cosp/phys_tstep))==0) THEN
+
+          IF (prt_level >=10) THEN
              PRINT*,'freq_cosp',freq_cosp
           ENDIF
@@ -6674,10 +6671,10 @@
 
        ENDIF
-#endif
-
-#ifdef CPP_COSP2
-       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
-
-          IF (prt_level .GE.10) THEN
+END IF
+
+IF (CPPKEY_COSP2) THEN
+       IF (itap==1.OR.MOD(itap,NINT(freq_cosp/phys_tstep))==0) THEN
+
+          IF (prt_level >=10) THEN
              PRINT*,'freq_cosp',freq_cosp
           ENDIF
@@ -6698,11 +6695,11 @@
                mr_ozone,cldtau, cldemi)
        ENDIF
-#endif
-
-#ifdef CPP_COSPV2
-       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+END IF
+
+IF (CPPKEY_COSPV2) THEN
+       IF (itap==1.OR.MOD(itap,NINT(freq_cosp/phys_tstep))==0) THEN
 !        IF (MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
-          IF (prt_level .GE.10) THEN
+          IF (prt_level >=10) THEN
              PRINT*,'freq_cosp',freq_cosp
           ENDIF
@@ -6728,5 +6725,5 @@
                mr_ozone,cldtau, cldemi)
        ENDIF
-#endif
+END IF
 
     ENDIF  !ok_cosp
@@ -7017,6 +7014,5 @@
 
     !IM initialisation + calculs divers diag AMIP2
-
-    include "calcul_divers.h"
+    CALL calcul_divers(itap, itapm1, un_jour)
 
     !IM Interpolation sur les niveaux de pression du NMC
